com.google.gwt.user.client.ui

## Interface HasAnimation

All Known Implementing Classes:
  CellBrowser, CellTree, DeckPanel, DecoratedPopupPanel, DecoratedTabPanel, DialogBox, DisclosurePanel, LoggingPopup, MenuBar, PopupPanel, SuggestBox, SuggestBox.DefaultSuggestionDisplay, TabPanel, Tree

    public interface HasAnimation

A `Widget` that uses an animation should implement this class so users can enable or disable animations.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isAnimationEnabled()` Returns true if animations are enabled, false if not.
`void` `setAnimationEnabled(boolean enable)` Enable or disable animations.

### Method Detail

#### isAnimationEnabled

    boolean isAnimationEnabled()

Returns true if animations are enabled, false if not.

#### setAnimationEnabled

    void setAnimationEnabled(boolean enable)

Enable or disable animations.

Parameters:
  `enable` - true to enable, false to disable